# Generated by Django 3.1.13 on 2021-08-31 12:16

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0009_auto_20210727_1142'),
    ]

    operations = [
        migrations.CreateModel(
            name='Registration',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('number', models.CharField(max_length=64, verbose_name='number')),
                ('date', models.DateTimeField(verbose_name='date')),
                ('tenant_sdc_id', models.UUIDField(verbose_name='tenant SDC ID')),
                ('service_sdc_id', models.UUIDField(verbose_name='service SDC ID')),
                ('application_sdc_id', models.UUIDField(verbose_name='application SDC ID')),
                ('application_state_name', models.CharField(max_length=64, verbose_name='application state name')),
                ('event_sdc_id', models.UUIDField(verbose_name='event SDC ID')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterField(
            model_name='service',
            name='application_states',
            field=models.ManyToManyField(blank=True, related_name='services', to='applications.ApplicationState', verbose_name='application states'),
        ),
    ]
